Subject: Re: [PATCH v1 02/11] drm: drop uapi dependency from drm_print.h

From: Sam Ravnborg <[email-masked]>
Date: Mon, 29 Jul 2019 19:50:11 +0200

Hi Christian.

On Mon, Jul 29, 2019 at 03:28:15PM +0000, Koenig, Christian wrote:
> Am 29.07.19 um 16:35 schrieb Sam Ravnborg:
> >>>> Even then it so useless (which drm driver is this message for???) that I
> >>>> want to remove them all :(
> >>> Yeah, agree. I mean it is nice if the core drm functions use a prefix
> >>> for debug output.
> >>>
> >>> But I actually don't see the point for individual drivers.
> >> We should all migrate to the versions with device...
> > Just to do an xkdc.com/927 I have considered:
> >
> > drm_err(const struct drm_device *drm, ...)
> > drm_info(const struct drm_device *drm, ...)
> >
> > drm_kms_err(const struct drm_device *drm, ...)
> > drm_kms_info(const struct drm_device *drm, ...))
> 
> Why not get completely rid of those and just use dev_err, dev_warn, 
> pr_err, pr_warn etc?
> 
> I mean is it useful to have this extra printing subsystem in DRM while 
> the standard Linux one actually does a better job?
The added functionality of drm_xxx_err would be to keep the current
drm.debug=0x1f filtering on the command-line.
I do not think we can do this with the standard logging.

And then we can prefix every logging with driver name and device name.

The idea is to make a thin layer on top of the existing pr_xxx() functions.
So not a full subsystem, only a wrapper on top of what we already have.

Anyway, idle talk only. We need patches and sample output if we should
discuss more.

	Sam

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel